import os

all_files = os.listdir("csvs")
all_data = []
save_file_name = "filtered_data.csv"

for f_name in all_files:
    with open("csvs/{}".format(f_name), "r") as fr:
        for line in fr:
            vals = line.strip().split(',')
            all_data.append(tuple([vals[0].strip(), vals[1].strip(), vals[2].strip(),
                                  vals[3].strip(), vals[4].strip(), vals[5].strip(),
                                  vals[6].strip(), vals[7].strip(), vals[8].strip()]))


attr_pos = {"hand" : 1, "phone" : 2, "ui" : 3, "button" : 4}

def which_data_wanted(data_attribs={}):
    new_attribs = []
    filter_data = []
    total_condition = []
    for x, y in data_attribs.items():
        f_pos = attr_pos.get(x, None)
        condition = []
        for k in y:
            condition.append("data[{}] == '{}'".format(f_pos, k))
        condition = " or ".join(condition)
        total_condition.append("({})".format(condition))

    total_condition = ' and '.join(total_condition)
    print(total_condition)
    for data in all_data:
        if eval(total_condition):
            filter_data.append(data)

    with open(save_file_name, "w") as fw:
        fw.write("{},{},{},{},{},{},{},{},{}\n".format("UserID", "InteractionHand",
                 "PhoneSize", "UIPos", "ButtonClicked", "TimeTaken", "AccX", "AccY", "AccZ"))
        for line in filter_data:
            fw.write("{}\n".format(",".join([str(l) for l in line])))


# The filter required depends on the data_attribs
# For example --- 
# Get all dominant, motog data : data_attribs = {"hand" : ["dom"], "phone" : ["motog"]}
# Get all non-dominant, pixel, (2,3,4,5) buttons clicked data : data_attribs = {"hand" : ["ndom"], "phone" : ["pixel"], "button" : [2, 3, 4, 5]}

# Possible values
# "hand" : "dom" / "ndom"
# "phone" : "motog" / "pixel"
# "button" : 1 / 2 / 3 / 4 / 5 / 6
# "ui" : "top" / "left" / "right"

which_data_wanted(data_attribs={"hand" : ["dom"], "phone" : ["pixel"], "button" : [2, 3, 4, 5]})
