user_id = "user12"
save_file_path = "all_data_{}.csv".format(user_id)

import datetime


def get_store_data(phone):
    fixed_data = ["dom", "top", 2, 5, 3, 6, 4, 1,
                  "dom", "left", 1, 4, 2, 5, 3, 6,
                  "dom", "right", 2, 5, 1, 3, 4, 6,
                  "ndom", "left", 5, 3, 1, 6, 2, 4,
                  "ndom", "right", 4, 1, 5, 2, 6, 3,
                  "ndom", "top", 3, 1, 6, 4, 2, 5,
                  "dom", "right", 5, 3, 1, 6, 2, 4,
                  "dom", "top", 4, 2, 1, 5, 3, 6,
                  "dom", "left", 4, 1, 5, 2, 6, 3,
                  "ndom", "top", 1, 3, 6, 4, 2, 5,
                  "ndom", "left", 2, 5, 1, 3, 4, 6,
                  "ndom", "right", 1, 4, 2, 5, 3, 6,
                  "dom", "left", 1, 4, 2, 5, 3, 6,
                  "dom", "right", 5, 3, 1, 6, 2, 4,
                  "dom", "top", 2, 5, 3, 6, 4, 1,
                  "ndom", "right", 4, 1, 5, 2, 6, 3,
                  "ndom", "top", 3, 1, 6, 4, 2, 5,
                  "ndom", "left", 5, 3, 1, 6, 2, 4,
                  ]
    data_file_path = "project/{}/data_{}.txt".format(user_id, phone)
    #data_file_path = "dataa"
    before_time, current_time, ihand, uipos, bclicked, ttaken = None, None, None, None, None, None
    fdata_iter_pos = 0
    entry_line = ''
    with open(data_file_path, "r") as fr:
        for line in fr:
            line = line.strip()
            if not line:
                continue
            if "Timestamp" in line:
                before_time = current_time
                #current_time = datetime.datetime.strptime(line[:-14], "Timestamp : %a %b %d %H:%M:%S ") prev version
                current_time = datetime.datetime.fromtimestamp(int(line.split(":")[1].strip()) / 1000.0)
                if entry_line:
                    c = (current_time - before_time)
                    ttaken = int((c.seconds * 1000) + (c.microseconds / 1000)) # time in milliseconds
                    entry_line = entry_line.format(ttaken)
                    with open(save_file_path, "a") as fw:
                        fw.write(entry_line)
                    entry_line = ''
            elif "Accelerometer" in line:
                if type(fixed_data[fdata_iter_pos]) is str:
                    ihand = fixed_data[fdata_iter_pos]
                    uipos = fixed_data[fdata_iter_pos + 1]
                    bclicked = fixed_data[fdata_iter_pos + 2]
                    fdata_iter_pos += 3
                elif type(fixed_data[fdata_iter_pos]) is int:
                    bclicked = fixed_data[fdata_iter_pos]
                    fdata_iter_pos += 1
                broken_pieces = [a.strip(": ") for a in line.split()]
                accx = broken_pieces[broken_pieces.index("X") + 2]
                accy = broken_pieces[broken_pieces.index("Y") + 2]
                accz = broken_pieces[broken_pieces.index("Z") + 2]
                entry_line = "{},{},{},{},{},{},{},{},{}\n".format(user_id, ihand,
                               phone, uipos, bclicked, "{}", accx, accy, accz)

if __name__ == "__main__":
    # Taking the motog file.
    get_store_data(phone="motog")

    # Taking the pixel file
    get_store_data(phone="pixel")
